package com.schisandra.auth.infra.basic.service;

import com.schisandra.auth.infra.basic.entity.SchisandraAuthSocialUserMapper;

/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-23 20:13:10
 */
public interface SchisandraAuthSocialUserMapperService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraAuthSocialUserMapper queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraAuthSocialUserMapper 实例对象
     * @return 实例对象
     */
    int insert(SchisandraAuthSocialUserMapper schisandraAuthSocialUserMapper);

    /**
     * 修改数据
     *
     * @param schisandraAuthSocialUserMapper 实例对象
     * @return 实例对象
     */
    int update(SchisandraAuthSocialUserMapper schisandraAuthSocialUserMapper);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    /**
     * 根据条件查询角色
     */
    SchisandraAuthSocialUserMapper queryBySocialUserId(SchisandraAuthSocialUserMapper schisandraAuthSocialUserMapper);

    int insertAuthSocialUserMapperByOauth(SchisandraAuthSocialUserMapper schisandraAuthSocialUserMapper);
}
